=== modified file 'mystrings/Makefile.am'
--- mystrings/Makefile.am	2008-10-21 23:41:34 +0000
+++ mystrings/Makefile.am	2008-11-07 00:35:38 +0000
@@ -25,20 +25,17 @@
 			t_ctype.h
 
 
-# IFF the don't exist on
-# the target system. This helps prevent empty object file problems.
-libmystrings_la_LIBADD = $(LTLIBOBJS)
-libmystrings_la_SOURCES = 	strxmov.c bmove_upp.c \
-				strfill.c is_prefix.c \
-				strmake.c longlong2str.c \
-				my_strtoll10.c \
-				bchange.c int2str.c str2int.c \
-                                llstr.c \
-				stpcpy.c \
-				stpncpy.c \
-                                ctype.c ctype-simple.c ctype-mb.c \
-                                ctype-utf8.c \
-                                ctype-uca.c ctype-bin.c \
-                                decimal.c ctype-extra.c str_alloc.c \
-                                dtoa.c 
+libmystrings_la_SOURCES = 	strxmov.cc bmove_upp.cc \
+				strfill.cc is_prefix.cc \
+				strmake.cc longlong2str.cc \
+				my_strtoll10.cc \
+				bchange.cc int2str.cc str2int.cc \
+                                llstr.cc \
+				stpcpy.cc \
+				stpncpy.cc \
+                                ctype.cc ctype-simple.cc ctype-mb.cc \
+                                ctype-utf8.cc \
+                                ctype-uca.cc ctype-bin.cc \
+                                decimal.cc ctype-extra.cc str_alloc.cc \
+                                dtoa.cc 
 

=== renamed file 'mystrings/bchange.c' => 'mystrings/bchange.cc'
=== renamed file 'mystrings/bmove_upp.c' => 'mystrings/bmove_upp.cc'
=== renamed file 'mystrings/ctype-bin.c' => 'mystrings/ctype-bin.cc'
=== renamed file 'mystrings/ctype-extra.c' => 'mystrings/ctype-extra.cc'
=== renamed file 'mystrings/ctype-mb.c' => 'mystrings/ctype-mb.cc'
=== renamed file 'mystrings/ctype-simple.c' => 'mystrings/ctype-simple.cc'
--- mystrings/ctype-simple.c	2008-10-06 07:55:10 +0000
+++ mystrings/ctype-simple.cc	2008-11-07 00:35:38 +0000
@@ -342,7 +342,7 @@
   s = nptr;
   e = nptr+l;
   
-  for ( ; s<e && my_isspace(cs, *s) ; s++);
+  for ( ; s<e && my_isspace(cs, *s) ; s++) {}
   
   if (s == e)
   {
@@ -465,7 +465,7 @@
   s = nptr;
   e = nptr+l;
   
-  for( ; s<e && my_isspace(cs, *s); s++);
+  for( ; s<e && my_isspace(cs, *s); s++) {}
   
   if (s==e)
   {
@@ -578,7 +578,7 @@
   s = nptr;
   e = nptr+l;
 
-  for(; s<e && my_isspace(cs,*s); s++);
+  for(; s<e && my_isspace(cs,*s); s++) {}
 
   if (s == e)
   {
@@ -701,7 +701,7 @@
   s = nptr;
   e = nptr+l;
 
-  for(; s<e && my_isspace(cs,*s); s++);
+  for(; s<e && my_isspace(cs,*s); s++) {}
 
   if (s == e)
   {
@@ -1103,7 +1103,7 @@
   case MY_SEQ_INTTAIL:
     if (*str == '.')
     {
-      for(str++ ; str != end && *str == '0' ; str++);
+      for(str++ ; str != end && *str == '0' ; str++) {}
       return (size_t) (str - str0);
     }
     return 0;
@@ -1485,7 +1485,7 @@
   int shift= 0, digits= 0, negative, addon;
 
   /* Skip leading spaces and tabs */
-  for ( ; str < end && (*str == ' ' || *str == '\t') ; str++);
+  for ( ; str < end && (*str == ' ' || *str == '\t') ; str++) {}
 
   if (str >= end)
     goto ret_edom;
@@ -1555,17 +1555,17 @@
         addon= (*str >= '5');
       if (!dot)
       {
-        for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; shift++, str++);
+        for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; shift++, str++) {}
         if (str < end && *str == '.')
         {
           str++;
-          for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; str++);
+          for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; str++) {}
         }
       }
       else
       {
         shift= dot - str;
-        for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; str++);
+        for ( ; str < end && (ch= (unsigned char) (*str - '0')) < 10; str++) {}
       }
       goto exp;
     }

=== renamed file 'mystrings/ctype-uca.c' => 'mystrings/ctype-uca.cc'
--- mystrings/ctype-uca.c	2008-10-16 06:32:30 +0000
+++ mystrings/ctype-uca.cc	2008-11-07 00:35:38 +0000
@@ -7669,7 +7669,8 @@
       for (beg++, lexem->diff= 1;
            (beg < lexem->end) && 
            (*beg == '<') && (lexem->diff<3);
-           beg++, lexem->diff++);
+           beg++, lexem->diff++)
+      {}
       rc= MY_COLL_LEXEM_DIFF;
       goto ex;
     }

=== renamed file 'mystrings/ctype-utf8.c' => 'mystrings/ctype-utf8.cc'
=== renamed file 'mystrings/ctype.c' => 'mystrings/ctype.cc'
=== renamed file 'mystrings/decimal.c' => 'mystrings/decimal.cc'
=== renamed file 'mystrings/dtoa.c' => 'mystrings/dtoa.cc'
--- mystrings/dtoa.c	2008-10-16 06:32:30 +0000
+++ mystrings/dtoa.cc	2008-11-07 00:35:38 +0000
@@ -703,7 +703,7 @@
     alloc->free+= aligned_size;
   }
   else
-    rv= malloc(i);
+    rv= (char *)malloc(i);
   return rv;
 }
 
@@ -2254,7 +2254,7 @@
             goto bump_up;
           else if (dval(d) < 0.5 - dval(eps))
           {
-            while (*--s == '0');
+            while (*--s == '0') {}
             s++;
             goto ret1;
           }
@@ -2529,7 +2529,7 @@
   }
   else
   {
-    while (*--s == '0');
+    while (*--s == '0') {}
     s++;
   }
 ret:

=== renamed file 'mystrings/int2str.c' => 'mystrings/int2str.cc'
=== renamed file 'mystrings/is_prefix.c' => 'mystrings/is_prefix.cc'
=== renamed file 'mystrings/llstr.c' => 'mystrings/llstr.cc'
=== renamed file 'mystrings/longlong2str.c' => 'mystrings/longlong2str.cc'
=== renamed file 'mystrings/my_strtoll10.c' => 'mystrings/my_strtoll10.cc'
=== renamed file 'mystrings/stpcpy.c' => 'mystrings/stpcpy.cc'
=== renamed file 'mystrings/stpncpy.c' => 'mystrings/stpncpy.cc'
=== renamed file 'mystrings/str2int.c' => 'mystrings/str2int.cc'
=== renamed file 'mystrings/str_alloc.c' => 'mystrings/str_alloc.cc'
=== renamed file 'mystrings/strfill.c' => 'mystrings/strfill.cc'
=== renamed file 'mystrings/strmake.c' => 'mystrings/strmake.cc'
=== renamed file 'mystrings/strto.c' => 'mystrings/strto.cc'
=== renamed file 'mystrings/strxmov.c' => 'mystrings/strxmov.cc'
=== modified file 'mysys/Makefile.am'
--- mysys/Makefile.am	2008-10-30 18:03:59 +0000
+++ mysys/Makefile.am	2008-11-07 00:35:38 +0000
@@ -47,41 +47,41 @@
 			aio_result.h
 
 if BUILD_FAST_MUTEX
-thr_mutex_source=thr_mutex.c
+thr_mutex_source=thr_mutex.cc
 endif
 if BUILD_THR_RWLOCK
-thr_rwlock_source=thr_rwlock.c
+thr_rwlock_source=thr_rwlock.cc
 endif
 
-libmysys_la_SOURCES = my_init.c my_getwd.c mf_getdate.c \
-			mf_path.c mf_loadpath.c my_file.c \
-			my_open.c my_create.c my_dup.c my_seek.c my_read.c \
-			my_write.c \
-			mf_iocache.c mf_iocache2.c mf_cache.c mf_tempfile.c \
-			mf_tempdir.c \
-			my_malloc.c my_realloc.c my_once.c mulalloc.c \
-			my_alloc.c \
-			my_fopen.c my_fstream.c my_getsystime.c \
-			my_error.c errors.c my_filename.c my_messnc.c \
-			mf_format.c mf_same.c mf_dirname.c mf_fn_ext.c \
-			my_symlink.c my_symlink2.c \
-			mf_pack.c mf_unixpath.c mf_arr_appstr.c \
-			mf_wcomp.c my_gethwaddr.c \
-			mf_qsort.c mf_qsort2.c mf_sort.c \
-			ptr_cmp.c mf_radix.c queues.c \
-			tree.c list.c array.c typelib.c \
-			my_copy.c my_lib.c hash.c \
-			my_delete.c my_rename.c my_redel.c \
-			my_quick.c my_static.c \
-			my_time.c \
-			my_sync.c my_getopt.c my_mkdir.c \
-			default_modify.c default.c \
-                        checksum.c \
-			my_sleep.c \
-			charset.c charset-def.c my_bitmap.c my_bit.c \
-			sha1.c \
-			my_access.c base64.c \
-			thr_alarm.c thr_lock.c my_thr_init.c \
+libmysys_la_SOURCES = my_init.cc my_getwd.cc mf_getdate.cc \
+			mf_path.cc mf_loadpath.cc my_file.cc \
+			my_open.cc my_create.cc my_dup.cc my_seek.cc my_read.cc \
+			my_write.cc \
+			mf_iocache.cc mf_iocache2.cc mf_cache.cc mf_tempfile.cc \
+			mf_tempdir.cc \
+			my_malloc.cc my_realloc.cc my_once.cc mulalloc.cc \
+			my_alloc.cc \
+			my_fopen.cc my_fstream.cc my_getsystime.cc \
+			my_error.cc errors.cc my_filename.cc my_messnc.cc \
+			mf_format.cc mf_same.cc mf_dirname.cc mf_fn_ext.cc \
+			my_symlink.cc my_symlink2.cc \
+			mf_pack.cc mf_unixpath.cc mf_arr_appstr.cc \
+			mf_wcomp.cc my_gethwaddr.cc \
+			mf_qsort.cc mf_qsort2.cc mf_sort.cc \
+			ptr_cmp.cc mf_radix.cc queues.cc \
+			tree.cc list.cc array.cc typelib.cc \
+			my_copy.cc my_lib.cc hash.cc \
+			my_delete.cc my_rename.cc my_redel.cc \
+			my_quick.cc my_static.cc \
+			my_time.cc \
+			my_sync.cc my_getopt.cc my_mkdir.cc \
+			default_modify.cc default.cc \
+                        checksum.cc \
+			my_sleep.cc \
+			charset.cc charset-def.cc my_bitmap.cc my_bit.cc \
+			sha1.cc \
+			my_access.cc base64.cc \
+			thr_alarm.cc thr_lock.cc my_thr_init.cc \
                         ${thr_mutex_source} ${thr_rwlock_source}
 
 DEFS =			-DDEFAULT_BASEDIR=\"$(prefix)\" \

=== renamed file 'mysys/array.c' => 'mysys/array.cc'
--- mysys/array.c	2008-10-06 06:47:29 +0000
+++ mysys/array.cc	2008-11-07 00:35:38 +0000
@@ -60,7 +60,7 @@
   array->max_element=init_alloc;
   array->alloc_increment=alloc_increment;
   array->size_of_element=element_size;
-  if ((array->buffer= init_buffer))
+  if ((array->buffer= (unsigned char*) init_buffer))
     return(false);
   if (!(array->buffer=(unsigned char*) my_malloc_ci(element_size*init_alloc,
                                             MYF(MY_WME))))

=== renamed file 'mysys/base64.c' => 'mysys/base64.cc'
--- mysys/base64.c	2008-09-08 05:34:16 +0000
+++ mysys/base64.cc	2008-11-07 00:35:38 +0000
@@ -13,10 +13,16 @@
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA */
 
+#include <drizzled/global.h>
+#include CMATH_H
 #include <mystrings/m_string.h>  /* strchr() */
 #include <mystrings/m_ctype.h>  /* my_isspace() */
 #include <mysys/base64.h>
 
+#if defined(CMATH_NAMESPACE)
+using namespace CMATH_NAMESPACE;
+#endif
+
 #ifndef MAIN
 
 static char base64_table[] = "ABCDEFGHIJKLMNOPQRSTUVWXYZ"

=== renamed file 'mysys/charset-def.c' => 'mysys/charset-def.cc'
=== renamed file 'mysys/charset.c' => 'mysys/charset.cc'
--- mysys/charset.c	2008-10-16 06:45:16 +0000
+++ mysys/charset.cc	2008-11-07 00:35:38 +0000
@@ -272,7 +272,7 @@
 }
 
 
-const const CHARSET_INFO *get_charset(uint32_t cs_number, myf flags)
+const CHARSET_INFO *get_charset(uint32_t cs_number, myf flags)
 {
   const CHARSET_INFO *cs;
   if (cs_number == default_charset_info->number)

=== renamed file 'mysys/checksum.c' => 'mysys/checksum.cc'
=== renamed file 'mysys/default.c' => 'mysys/default.cc'
--- mysys/default.c	2008-10-30 03:03:26 +0000
+++ mysys/default.cc	2008-11-07 00:35:38 +0000
@@ -172,7 +172,7 @@
       extra_groups[i]= group->type_names[i]; /** copy group */
       
       len= strlen(extra_groups[i]);
-      if (!(ptr= alloc_root(ctx->alloc, len+instance_len+1)))
+      if (!(ptr= (char *)alloc_root(ctx->alloc, len+instance_len+1)))
 	goto err;
       
       extra_groups[i+group->count]= ptr;
@@ -271,7 +271,7 @@
 
   if (find_type((char *)group_name, ctx->group, 3))
   {
-    if (!(tmp= alloc_root(ctx->alloc, strlen(option) + 1)))
+    if (!(tmp= (char *)alloc_root(ctx->alloc, strlen(option) + 1)))
       return 1;
     if (insert_dynamic(ctx->args, (unsigned char*) &tmp))
       return 1;

=== renamed file 'mysys/default_modify.c' => 'mysys/default_modify.cc'
=== renamed file 'mysys/errors.c' => 'mysys/errors.cc'
=== renamed file 'mysys/hash.c' => 'mysys/hash.cc'
--- mysys/hash.c	2008-10-30 18:03:59 +0000
+++ mysys/hash.cc	2008-11-07 00:35:38 +0000
@@ -22,6 +22,7 @@
 /* Key length of 0 isn't allowed */
 
 #include <config.h>
+#include CSTDINT_H
 #include <mysys/hash.h>
 
 const uint32_t NO_RECORD= UINT32_MAX;

=== renamed file 'mysys/list.c' => 'mysys/list.cc'
=== renamed file 'mysys/make-conf.c' => 'mysys/make-conf.cc'
=== renamed file 'mysys/mf_arr_appstr.c' => 'mysys/mf_arr_appstr.cc'
=== renamed file 'mysys/mf_cache.c' => 'mysys/mf_cache.cc'
=== renamed file 'mysys/mf_dirname.c' => 'mysys/mf_dirname.cc'
=== renamed file 'mysys/mf_fn_ext.c' => 'mysys/mf_fn_ext.cc'
=== renamed file 'mysys/mf_format.c' => 'mysys/mf_format.cc'
=== renamed file 'mysys/mf_getdate.c' => 'mysys/mf_getdate.cc'
=== renamed file 'mysys/mf_iocache.c' => 'mysys/mf_iocache.cc'
=== renamed file 'mysys/mf_iocache2.c' => 'mysys/mf_iocache2.cc'
--- mysys/mf_iocache2.c	2008-10-07 22:29:30 +0000
+++ mysys/mf_iocache2.cc	2008-11-07 00:35:38 +0000
@@ -396,7 +396,7 @@
       if (minimum_width > length2) 
       {
         const size_t buflen = minimum_width - length2;
-        unsigned char *buffz= my_alloca(buflen);
+        unsigned char *buffz= (unsigned char *)my_alloca(buflen);
         memset(buffz, is_zero_padded ? '0' : ' ', buflen);
         my_b_write(info, buffz, buflen);
         my_afree(buffz);

=== renamed file 'mysys/mf_loadpath.c' => 'mysys/mf_loadpath.cc'
=== renamed file 'mysys/mf_pack.c' => 'mysys/mf_pack.cc'
=== renamed file 'mysys/mf_path.c' => 'mysys/mf_path.cc'
=== renamed file 'mysys/mf_qsort.c' => 'mysys/mf_qsort.cc'
=== renamed file 'mysys/mf_qsort2.c' => 'mysys/mf_qsort2.cc'
--- mysys/mf_qsort2.c	2008-06-25 05:29:13 +0000
+++ mysys/mf_qsort2.cc	2008-11-07 00:35:38 +0000
@@ -16,4 +16,4 @@
 /* qsort that sends one extra argument to the compare subrutine */
 
 #define QSORT_EXTRA_CMP_ARGUMENT
-#include "mf_qsort.c"
+#include "mf_qsort.cc"

=== renamed file 'mysys/mf_radix.c' => 'mysys/mf_radix.cc'
=== renamed file 'mysys/mf_same.c' => 'mysys/mf_same.cc'
=== renamed file 'mysys/mf_sort.c' => 'mysys/mf_sort.cc'
=== renamed file 'mysys/mf_tempdir.c' => 'mysys/mf_tempdir.cc'
=== renamed file 'mysys/mf_tempfile.c' => 'mysys/mf_tempfile.cc'
=== renamed file 'mysys/mf_unixpath.c' => 'mysys/mf_unixpath.cc'
=== renamed file 'mysys/mf_util.c' => 'mysys/mf_util.cc'
=== renamed file 'mysys/mf_wcomp.c' => 'mysys/mf_wcomp.cc'
=== renamed file 'mysys/mulalloc.c' => 'mysys/mulalloc.cc'
=== renamed file 'mysys/my_access.c' => 'mysys/my_access.cc'
=== renamed file 'mysys/my_alloc.c' => 'mysys/my_alloc.cc'
--- mysys/my_alloc.c	2008-10-06 05:57:49 +0000
+++ mysys/my_alloc.cc	2008-11-07 00:35:38 +0000
@@ -388,7 +388,7 @@
 char *strmake_root(MEM_ROOT *root, const char *str, size_t len)
 {
   char *pos;
-  if ((pos=alloc_root(root,len+1)))
+  if ((pos=(char *)alloc_root(root,len+1)))
   {
     memcpy(pos,str,len);
     pos[len]=0;
@@ -399,7 +399,7 @@
 
 void *memdup_root(MEM_ROOT *root, const void *str, size_t len)
 {
-  char *pos;
+  void *pos;
   if ((pos=alloc_root(root,len)))
     memcpy(pos,str,len);
   return pos;

=== renamed file 'mysys/my_bit.c' => 'mysys/my_bit.cc'
=== renamed file 'mysys/my_bitmap.c' => 'mysys/my_bitmap.cc'
=== renamed file 'mysys/my_copy.c' => 'mysys/my_copy.cc'
=== renamed file 'mysys/my_create.c' => 'mysys/my_create.cc'
=== renamed file 'mysys/my_delete.c' => 'mysys/my_delete.cc'
=== renamed file 'mysys/my_dup.c' => 'mysys/my_dup.cc'
=== renamed file 'mysys/my_error.c' => 'mysys/my_error.cc'
=== renamed file 'mysys/my_file.c' => 'mysys/my_file.cc'
=== renamed file 'mysys/my_filename.c' => 'mysys/my_filename.cc'
=== renamed file 'mysys/my_fopen.c' => 'mysys/my_fopen.cc'
=== renamed file 'mysys/my_fstream.c' => 'mysys/my_fstream.cc'
=== renamed file 'mysys/my_gethwaddr.c' => 'mysys/my_gethwaddr.cc'
=== renamed file 'mysys/my_getopt.c' => 'mysys/my_getopt.cc'
--- mysys/my_getopt.c	2008-10-22 01:23:15 +0000
+++ mysys/my_getopt.cc	2008-11-07 00:35:38 +0000
@@ -1147,7 +1147,8 @@
 
       while ((uint) (end - comment) > comment_space)
       {
-	for (line_end= comment + comment_space; *line_end != ' '; line_end--);
+	for (line_end= comment + comment_space; *line_end != ' '; line_end--)
+          {}
 	for (; comment != line_end; comment++)
 	  putchar(*comment);
 	comment++; /* skip the space, as a newline will take it's place now */

=== renamed file 'mysys/my_getsystime.c' => 'mysys/my_getsystime.cc'
=== renamed file 'mysys/my_getwd.c' => 'mysys/my_getwd.cc'
=== renamed file 'mysys/my_init.c' => 'mysys/my_init.cc'
=== renamed file 'mysys/my_lib.c' => 'mysys/my_lib.cc'
--- mysys/my_lib.c	2008-10-16 06:45:16 +0000
+++ mysys/my_lib.cc	2008-11-07 00:35:38 +0000
@@ -96,9 +96,9 @@
 
   dirp = opendir(directory_file_name(tmp_path,(char *) path));
   if (dirp == NULL || 
-      ! (buffer= my_malloc(ALIGN_SIZE(sizeof(MY_DIR)) + 
-                           ALIGN_SIZE(sizeof(DYNAMIC_ARRAY)) +
-                           sizeof(MEM_ROOT), MyFlags)))
+      ! (buffer= (char *) my_malloc(ALIGN_SIZE(sizeof(MY_DIR)) + 
+                                    ALIGN_SIZE(sizeof(DYNAMIC_ARRAY)) +
+                                    sizeof(MEM_ROOT), MyFlags)))
     goto error;
 
   dir_entries_storage= (DYNAMIC_ARRAY*)(buffer + ALIGN_SIZE(sizeof(MY_DIR))); 

=== renamed file 'mysys/my_malloc.c' => 'mysys/my_malloc.cc'
=== renamed file 'mysys/my_messnc.c' => 'mysys/my_messnc.cc'
=== renamed file 'mysys/my_mkdir.c' => 'mysys/my_mkdir.cc'
=== renamed file 'mysys/my_once.c' => 'mysys/my_once.cc'
--- mysys/my_once.c	2008-10-06 05:57:49 +0000
+++ mysys/my_once.cc	2008-11-07 00:35:38 +0000
@@ -75,7 +75,7 @@
 char *my_once_strdup(const char *src,myf myflags)
 {
   size_t len= strlen(src)+1;
-  unsigned char *dst= my_once_alloc(len, myflags);
+  void *dst= my_once_alloc(len, myflags);
   if (dst)
     memcpy(dst, src, len);
   return (char*) dst;
@@ -84,7 +84,7 @@
 
 void *my_once_memdup(const void *src, size_t len, myf myflags)
 {
-  unsigned char *dst= my_once_alloc(len, myflags);
+  void *dst= my_once_alloc(len, myflags);
   if (dst)
     memcpy(dst, src, len);
   return dst;

=== renamed file 'mysys/my_open.c' => 'mysys/my_open.cc'
=== renamed file 'mysys/my_quick.c' => 'mysys/my_quick.cc'
=== renamed file 'mysys/my_read.c' => 'mysys/my_read.cc'
=== renamed file 'mysys/my_realloc.c' => 'mysys/my_realloc.cc'
=== renamed file 'mysys/my_redel.c' => 'mysys/my_redel.cc'
=== renamed file 'mysys/my_rename.c' => 'mysys/my_rename.cc'
=== renamed file 'mysys/my_seek.c' => 'mysys/my_seek.cc'
=== renamed file 'mysys/my_sleep.c' => 'mysys/my_sleep.cc'
=== renamed file 'mysys/my_static.c' => 'mysys/my_static.cc'
=== renamed file 'mysys/my_symlink.c' => 'mysys/my_symlink.cc'
=== renamed file 'mysys/my_symlink2.c' => 'mysys/my_symlink2.cc'
=== renamed file 'mysys/my_sync.c' => 'mysys/my_sync.cc'
=== renamed file 'mysys/my_thr_init.c' => 'mysys/my_thr_init.cc'
--- mysys/my_thr_init.c	2008-10-29 21:21:57 +0000
+++ mysys/my_thr_init.cc	2008-11-07 00:35:38 +0000
@@ -18,7 +18,8 @@
   thread variables.
 */
 
-#include "mysys_priv.h"
+#include <mysys/mysys_priv.h>
+#include <mysys/my_pthread.h>
 #include <mystrings/m_string.h>
 #include <signal.h>
 
@@ -66,7 +67,8 @@
   race conditions in NPTL pthread_exit code.
 */
 
-static pthread_handler_t
+extern "C"
+void *
 nptl_pthread_exit_hack_handler(void *arg __attribute((unused)))
 {
   /* Do nothing! */

=== renamed file 'mysys/my_time.c' => 'mysys/my_time.cc'
=== renamed file 'mysys/my_write.c' => 'mysys/my_write.cc'
=== renamed file 'mysys/ptr_cmp.c' => 'mysys/ptr_cmp.cc'
=== renamed file 'mysys/queues.c' => 'mysys/queues.cc'
=== renamed file 'mysys/sha1.c' => 'mysys/sha1.cc'
=== renamed file 'mysys/test_charset.c' => 'mysys/test_charset.cc'
=== renamed file 'mysys/test_dir.c' => 'mysys/test_dir.cc'
=== renamed file 'mysys/test_fn.c' => 'mysys/test_fn.cc'
=== renamed file 'mysys/thr_alarm.c' => 'mysys/thr_alarm.cc'
--- mysys/thr_alarm.c	2008-10-07 00:16:06 +0000
+++ mysys/thr_alarm.cc	2008-11-07 00:35:38 +0000
@@ -260,7 +260,7 @@
   {
     if ((ALARM*) queue_element(&alarm_queue,i) == alarm_data)
     {
-      queue_remove(&alarm_queue,i),MYF(0);
+      queue_remove(&alarm_queue,i);
       if (alarm_data->malloced)
 	free((unsigned char*) alarm_data);
       found++;

=== renamed file 'mysys/thr_lock.c' => 'mysys/thr_lock.cc'
=== renamed file 'mysys/thr_mutex.c' => 'mysys/thr_mutex.cc'
=== renamed file 'mysys/thr_rwlock.c' => 'mysys/thr_rwlock.cc'
=== renamed file 'mysys/tree.c' => 'mysys/tree.cc'
=== renamed file 'mysys/typelib.c' => 'mysys/typelib.cc'
=== modified file 'vio/Makefile.am'
--- vio/Makefile.am	2008-08-01 06:52:05 +0000
+++ vio/Makefile.am	2008-11-07 00:35:38 +0000
@@ -23,4 +23,4 @@
 dist_vioinclude_HEADERS =	vio_priv.h \
 			violite.h
 
-libviolt_la_SOURCES =	vio.c viosocket.c
+libviolt_la_SOURCES =	vio.cc viosocket.cc

=== renamed file 'vio/vio.c' => 'vio/vio.cc'
=== renamed file 'vio/viosocket.c' => 'vio/viosocket.cc'
